Subject: [PATCH v2] ARM: dts: imx6: add new board RIoTboard

From: [email-masked] (Iain Paton)
Date: Thu, 08 May 2014 15:36:04 +0100

On 08/05/14 14:45, Fabio Estevam wrote:
> On Thu, May 8, 2014 at 6:13 AM, Iain Paton <[email-masked]> wrote:
>> add element14s RIoTboard http://www.riotboard.org which is an i.MX6Solo
>> based design targeted at makers.
>>
>> Signed-off-by: Iain Paton<[email-masked]>
> 
> Looks good. One comment only:
> 
> 
>> +&i2c4 {
>> +       clock-frequency = <100000>;
>> +       pinctrl-names = "default";
>> +       pinctrl-0 = <&pinctrl_i2c4>;
>> +       clocks = <&clks 116>;
> 
> You could remove this 'clocks' line.
> 

I don't see how.

https://git.kernel.org/cgit/linux/kernel/git/shawnguo/linux.git/tree/arch/arm/boot/dts/imx6dl.dtsi?h=for-next

has the definition of i2c4 as

aips2: aips-bus at 02100000 {
	i2c4: i2c at 021f8000 {
		#address-cells = <1>;
		#size-cells = <0>;
		compatible = "fsl,imx1-i2c";
		reg = <0x021f8000 0x4000>;
		interrupts = <0 35 IRQ_TYPE_LEVEL_HIGH>;
		status = "disabled";
	};
};

as it has no clocks line I need to add one somewhere otherwise the driver
won't bind to i2c4. 

The missing clocks line was something I'd ran into earlier which led to this 
https://git.kernel.org/cgit/linux/kernel/git/shawnguo/linux.git/commit/?h=for-next&id=22f5176336b4fc859b8b16211bdfe079405a778f

If it's preferable to put the clocks line in imx6dl.dtsi then I can do 
it there instead.  
Seperate patch to be applied before the RIoTboard one would be best?

Iain